<ion-header>
  <profilebar></profilebar>
</ion-header>

<ion-content padding ng-show="!LoadingView" icon="spiral">
  <div class="sub-page-heading">
	<button tappable ion-button icon-left navPop class="back-btn flex-buffer"><div class="icon-backarrow"></div></button>
	<div class="title">Getting Started</div>
	<div class="flex-buffer"></div>
  </div>
	<video width="100%" controls webkit-playsinline playsinline preload="none" preload="none" poster="assets/images/poster_started.jpg">
		<source src="https://player.vimeo.com/external/237651954.sd.mp4?s=c5bef9e379df88319cd4426241688479eb5df2a2&profile_id=164">
	</video>
  <div class="welcome-message">
    <h2>Welcome to the I AM ELITE - Mens Trainer app</h2>
    <p>Inside this app is literally everything you need to achieve your training goals in the shortest time frame possible. Please watch the above video for a full detailed explanation on how to use the app correctly, please feel free to click on the profile icon if you need to make any changes to your profile, make sure you have requested access to the I AM ELITE - accountability Facebook group and I hope you are ready to start seeing some incredible results from your training. I promise you, you will achieve amazing results if you exploit this app to its full capacity!</p>
  </div>
  <div class="profile-items">
	  <form [formGroup]="profileForm" (ngSubmit)="onSubmit()">
			<input type="hidden" formControlName="showGettingStarted" [value]="false" />
			<ion-list>
				<div class="item">
					<div class="icon icon-user"></div>
					<ion-input tappable formControlName="name" name="name" type="text" placeholder="Name" spellcheck="false" autocapitalize="off" required>
					</ion-input>
				</div>
				<div class="item">
					<div class="icon icon-calendar"></div>
					<ion-input tappable formControlName="age" name="age" type="text" placeholder="Age" spellcheck="false" autocapitalize="off">
					</ion-input>
				</div>
				<div class="item">
					<div class="icon icon-ruler"></div>
					<ion-input tappable formControlName="height" name="height" type="text" placeholder="Height" spellcheck="false" autocapitalize="off">
					</ion-input>
				</div>
				<div class="item">
					<div class="icon icon-weight"></div>
					<ion-input tappable formControlName="startingWeight" name="startingWeight" type="text" placeholder="Starting Weight" spellcheck="false" autocapitalize="off">
					</ion-input>
				</div>
				<div class="item">
					<div class="icon icon-weight"></div>
					<ion-input tappable formControlName="currentWeight" name="currentWeight" type="text" placeholder="Current Weight" spellcheck="false" autocapitalize="off">
					</ion-input>
				</div>
				<div class="item">
					<div class="icon icon-weight"></div>
					<ion-input tappable formControlName="goalWeight" name="goalWeight" type="text" placeholder="Goal Weight" spellcheck="false" autocapitalize="off">
					</ion-input>
				</div>
				<div class="item">
					<div class="icon icon-email"></div>
					<ion-input tappable formControlName="email" name="email" type="text" placeholder="Email" spellcheck="false" autocapitalize="off" required>
					</ion-input>
				</div>
				<div class="item">
					<div class="icon icon-timezone"></div>
					<ion-input tappable formControlName="timezone" name="timezone" type="text" placeholder="Contact Number" spellcheck="false" autocapitalize="off">
					</ion-input>
				</div>
				<div class="item upload-photo">
					<button tappable ion-button type="button" (click)="showFileBrowser()"><div class="upload-image"><img src="assets/images/upload.png"></div><div class="label">Upload<br>Profile Image</div></button>
				</div>
				<input type="file" #file name="photo" (change)="onFileChange(file.files)" accept="image/*" style="display: none">
			</ion-list>
			<button tappable ion-button type="submit" block [disabled]="!profileForm.valid" class="btn-skeleton">Update</button>
		</form>
	</div>
</ion-content>
